Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class Matrix

    java.lang.Object
      Matrix

Direct Known Subclasses:
  Tabelle

    public class Matrix

extends java.lang.Object

Matrixklasse als Basis für Tabelle und Clipboard-Objekte

Field Summary
`protected Zelle[][]` | `Inhalt`
`protected int` | `Spalten`
`protected int` | `Zeilen`

Constructor Summary
`Matrix(int Zeilen, int Spalten)`

Method Summary
`void` | `bewegeZellen(Matrix Clipboard, Position LinksOben, Position RechtsUnten, Position LinksObenNeu)` kopiert die Referenzen aus einer Matrix im Bereich (LinksOben,RechtsUnten) in eine andere Matrix.
`Zelle` | `getZelle(int Zeile, int Spalte)` liefert eine Objektreferenz auf die Zelle an der angebenen Position
`Zelle` | `getZelle(Position p)` liefert eine Objektreferenz auf die Zelle an der angebenen Position
`void` | `kopiereZellen(Matrix Clipboard, Position LinksOben, Position RechtsUnten)` kopiert die Referenzen aus einer Matrix im Bereich (LinksOben,RechtsUnten) in eine andere Matrix.
`void` | `setZelle(int Zeile, int Spalte, Zelle z)` setzt die angegebene Zelle auf die angegebene Position
`void` | `setZelle(Position p, Zelle z)` setzt die angegebene Zelle auf die angegebene Position
`void` | `setzeZellen(Zelle z, Position LinksOben, Position RechtsUnten)` setzt die Referenzen in einem Bereich der Tabelle auf die angegebene Zelle

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Spalten

    protected int Spalten

### Zeilen

    protected int Zeilen

### Inhalt

    protected Zelle[][] Inhalt

Constructor Detail

### Matrix

    public Matrix(int Zeilen,
                  int Spalten)

Method Detail

### setZelle

    public void setZelle(int Zeile,
                         int Spalte,
                         Zelle z)

  setzt die angegebene Zelle auf die angegebene Position

### getZelle

    public Zelle getZelle(int Zeile,
                          int Spalte)

  liefert eine Objektreferenz auf die Zelle an der angebenen Position

### setZelle

    public void setZelle(Position p,
                         Zelle z)

  setzt die angegebene Zelle auf die angegebene Position

### getZelle

    public Zelle getZelle(Position p)

  liefert eine Objektreferenz auf die Zelle an der angebenen Position

### bewegeZellen

    public void bewegeZellen(Matrix Clipboard,
                             Position LinksOben,
                             Position RechtsUnten,
                             Position LinksObenNeu)

  kopiert die Referenzen aus einer Matrix im Bereich (LinksOben,RechtsUnten) in eine andere Matrix. Dabei werden die Koordinaten um (LinksObenNeu) verschoben

### kopiereZellen

    public void kopiereZellen(Matrix Clipboard,
                              Position LinksOben,
                              Position RechtsUnten)

  kopiert die Referenzen aus einer Matrix im Bereich (LinksOben,RechtsUnten) in eine andere Matrix. Dabei werden die Referenzen auf [0,0] verschoben.

### setzeZellen

    public void setzeZellen(Zelle z,
                            Position LinksOben,
                            Position RechtsUnten)

  setzt die Referenzen in einem Bereich der Tabelle auf die angegebene Zelle

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD